
SETUP_INFO = dict(
    name = 'infinidat_openstack',
    version = '2.3.2',
    author = 'Arnon Yaari',
    author_email = 'arnony@infinidat.com',

    url = 'https://git.infinidat.com/host-opensource/infinidat_openstack',
    license = 'PSF',
    description = """openstack""",
    long_description = """openstack""",

    # http://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers = [
        "Intended Audience :: Developers",
        "Intended Audience :: System Administrators",
        "License :: OSI Approved :: Python Software Foundation License",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
    ],

    install_requires = [
'docopt>=0.6.2',
'functools32==3.2.3-2',
'importlib>=1.0.3',
'infinisdk',
'json-rest>=0.1.6',
'Logbook>=0.12.5',
'munch>=2.0.4',
'PrettyTable',
'requests==2.7.0',
'setuptools>=19.2.0.1',
'URLObject>=2.4.0'
],
    namespace_packages = [],

    package_dir = {'': 'src'},
    package_data = {'': []},
    include_package_data = True,
    zip_safe = False,

    entry_points = dict(
        console_scripts = ['infini-openstack = infinidat_openstack.scripts:main'],
        gui_scripts = [],
        ),
)

if SETUP_INFO['url'] is None:
    _ = SETUP_INFO.pop('url')

def setup():
    from setuptools import setup as _setup
    from setuptools import find_packages
    SETUP_INFO['packages'] = find_packages('src')
    _setup(**SETUP_INFO)

if __name__ == '__main__':
    setup()

